View Issue Details

IDProjectCategoryView StatusLast Update
0004290FreeCADPatchpublic2020-03-22 22:21
Reporterfc_tofu Assigned ToopenBrain  
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
PlatformX64OSWindows 10 
Product Version0.19 
Fixed in Version0.19 
Summary0004290: SketcherWB, remove menu command "Creates a hexagonal profile"
DescriptionIn SketcherWB, menu command "Profile >Creates a hexagonal profile" is obsolete, and its funciton is redundant of annother command "Sketch >Sketcher geometries >Create hexagon".
Steps To Reproduce
Additional InformationForum Discussion
TagsNo tags attached.
FreeCAD InformationOS: Windows 10 (10.0)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.19858 (Git)
Build type: Release
Branch: master
Hash: dbe292496b56147c081761084774f42bda56ea90
Python version: 3.7.3
Qt version: 5.12.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Chinese/China (zh_CN)

Activities

openBrain

2020-03-19 18:59

developer   ~0014243

https://github.com/FreeCAD/FreeCAD/pull/3213

wmayer

2020-03-20 11:11

administrator   ~0014246

https://github.com/FreeCAD/FreeCAD/commit/71d4eedf0ad51f834c8759d0d43ccb85ecd8de5b

Kunda1

2020-03-20 13:42

administrator   ~0014248

FreeCAD master 71d4eedf

guest

2020-03-22 22:21

viewer   ~0014259

Fix committed to master branch.

Related Changesets

FreeCAD: master 71d4eedf

2020-03-19 18:54:41

0penBrain


Committer: wwmayer Details Diff
[Sketcher] Remove 'Hexagonal profile' menu ; fixes 0004290

Menu creation has been removed (commented) but all other profile feature are kept
for compatibility.
Affected Issues
0004290
mod - src/Mod/Sketcher/Gui/Workbench.cpp Diff File

Issue History

Date Modified Username Field Change
2020-03-14 18:06 fc_tofu New Issue
2020-03-19 15:29 openBrain Assigned To => openBrain
2020-03-19 15:29 openBrain Status new => assigned
2020-03-19 18:59 openBrain Note Added: 0014243
2020-03-20 11:11 wmayer Status assigned => closed
2020-03-20 11:11 wmayer Resolution open => fixed
2020-03-20 11:11 wmayer Fixed in Version => 0.19
2020-03-20 11:11 wmayer Note Added: 0014246
2020-03-20 13:42 Kunda1 Note Added: 0014248
2020-03-22 22:21 Changeset attached => FreeCAD master 71d4eedf
2020-03-22 22:21 guest Note Added: 0014259